# v4l2_enc_frame_ROI_params_ Struct Reference
[V4L2 Video Encoder]

Holds the encoder frame ROI parameters. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__u32 | num_ROI_regions
| Number of regions.
v4l2_enc_ROI_param | ROI_params [V4L2_MAX_ROI_REGIONS]
| Array of indiviudal ROI parameters.
__u32 | config_store
| Config store integer to which this control is to be applied.

## Detailed Description

Holds the encoder frame ROI parameters.

Should be used with V4L2_CID_MPEG_VIDEOENC_ROI_PARAMS ioctl.

Definition at line 1048 of file v4l2_nv_extensions.h.

## Member Data Documentation

__u32 v4l2_enc_frame_ROI_params_::config_store

Config store integer to which this control is to be applied.

This should be same as the value of config store of v4l2_buffer to which the ROI params should be applied.

Definition at line 1057 of file v4l2_nv_extensions.h.

__u32 v4l2_enc_frame_ROI_params_::num_ROI_regions

Number of regions.

Definition at line 1051 of file v4l2_nv_extensions.h.

v4l2_enc_ROI_param v4l2_enc_frame_ROI_params_::ROI_params[V4L2_MAX_ROI_REGIONS]

Array of indiviudal ROI parameters.

Definition at line 1053 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h